[action required] SDK (API 22) updates

Michael Comella michael.l.comella at gmail.com
Fri Jun 5 02:56:03 UTC 2015


Hey, all.

I've upgraded the builders (i.e. Treeherder, Nightly builds) to use the
latest stable Android SDK tools [1] (i.e. not the Android M preview which
requires a minSdkVersion of M x_x). The builders are currently using:
* Tools r24.3
* Platform-tools r22
* Build-tools r22.0.1
* Google play services r25
* Platform 22 (non-preview)
* Support library r22.2

Which means this configuration should be stable. You can use the `android`
utility to make these upgrades. You should also update your mozconfig to
point to platform version 22, which will allow us to use API level 22 (not
M) features (i.e.



*ac_add_options
--with-android-sdk="/usr/local/opt/android-sdk/platforms/android-22")*
Due to the mozconfig change, this will also require a clobber.

For future reference, I wrote a guide on how to do this here:
https://wiki.mozilla.org/Mobile/Fennec/Android/Updating_SDK_on_builders

Let me know if you have any questions or concerns - thanks!
- Mike (:mcomella)

[1]: https://bugzilla.mozilla.org/show_bug.cgi?id=1165422
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/mobile-firefox-dev/attachments/20150604/2e5e9c16/attachment.html>


More information about the mobile-firefox-dev mailing list